<template>
  <div class="flex flex-col gap-4">
    <div
      class="flex flex-col gap-4 border-2 rounded-lg p-5 border-black"
      id="icon-button"
    >
      <div class="flex flex-col gap-4">
        <p class="text-2xl text-vBorderColor">Svn Icon Button (V2)</p>

        <div class="flex gap-1 flex-wrap">
          <svn-pro-icon-button icon="mdi-menu"/>

          <svn-pro-text-field text="Hello" />
        </div>
      </div>
    </div>

    <div
      class="flex flex-col gap-4 border-2 rounded-lg p-5 border-black"
      id="floating-action-button"
    >
      <div class="flex flex-col gap-4">
        <p class="text-2xl">Svn Floating Action Button</p>

        <div class="flex items-center gap-4">
          <!-- Default -->
          <svn-floating-action-button text="" default mini :top-top="true" :align-top="true" />
        </div>
      </div>

      <div class="flex flex-col gap-4">
        <p class="text-2xl">Svn Floating Action Button</p>

        <div class="flex items-center gap-4">
        </div>
      </div>

      <div class="flex flex-col gap-4">
        <p class="text-2xl">Svn Floating Action Button</p>

        <div class="flex items-center gap-4">
        </div>
      </div>
    </div>

    <div
      class="flex flex-col gap-4 border-2 rounded-lg p-5 border-black"
      id="dots-button"
    >
      <div class="flex flex-col gap-4">
        <p class="text-2xl">Svn Dots Button</p>

        <svn-dots-button>
          <template #items>
            <v-list-item class="cursor-pointer hover:bg-neutral-300">
              <svn-dialog-skeleton bind/>
            </v-list-item>

            <v-list-item class="cursor-pointer hover:bg-neutral-300">
              BOOOO
            </v-list-item>
          </template>
        </svn-dots-button>
      </div>
    </div>

    <div
      class="flex flex-col gap-4 border-2 rounded-lg p-5 border-black"
      id="button"
    >
      <div class="flex flex-col gap-4">
        <p class="text-2xl">Svn Button</p>
        <div class="flex flex-wrap gap-1">
          <svn-button/>
          <svn-button loading/>
          <svn-button variant="outlined"/>
          <svn-button variant="outlined" loading/>
          <svn-button variant="plain"/>
          <svn-button variant="plain" loading/>
          <svn-button danger/>
          <svn-button danger loading/>
        </div>
      </div>
    </div>

    <div
      class="flex flex-col gap-4 border-2 rounded-lg p-5 border-black"
      id="icon-button"
    >
      <div class="flex flex-col gap-4">
        <p class="text-2xl">Svn Icon Button</p>

        <div class="flex gap-1 flex-wrap">
          <svn-icon-button buttonSize="lg"/>
          <svn-icon-button/>
          <svn-icon-button disable/>
          <svn-icon-button variant="outlined" buttonSize="lg"/>
          <svn-icon-button variant="outlined"/>
          <svn-icon-button variant="outlined" disable/>
          <svn-icon-button variant="plain" buttonSize="lg"/>
          <svn-icon-button variant="plain"/>
          <svn-icon-button variant="plain" disable/>
          <svn-icon-button danger buttonSize="lg"/>
          <svn-icon-button danger/>
          <svn-icon-button disable/>
        </div>

        <div class="flex gap-1 flex-wrap">
          <svn-icon-button buttonSize="lg" circle/>
          <svn-icon-button circle/>
          <svn-icon-button disable circle/>
          <svn-icon-button variant="outlined" buttonSize="lg" circle/>
          <svn-icon-button variant="outlined" circle/>
          <svn-icon-button variant="outlined" disable circle/>
          <svn-icon-button variant="plain" buttonSize="lg" circle/>
          <svn-icon-button variant="plain" circle/>
          <svn-icon-button variant="plain" disable circle/>
          <svn-icon-button danger buttonSize="lg" circle/>
          <svn-icon-button danger circle/>
          <svn-icon-button disable circle/>
        </div>
      </div>
    </div>

    <div
      class="flex flex-col gap-4 border-2 rounded-lg p-5 border-black"
      id="dropdown"
    >
      <div class="flex flex-col gap-4">
        <p class="text-2xl">Svn Dropdown</p>

        <div class="flex gap-1 items-center">
          <svn-dropdown :items="campaignItems" />
        </div>
      </div>
    </div>
  </div>
</template>

<script setup>
import SvnFloatingActionButton from "@/components/SvnFloatingActionButton.vue";
import SvnDotsButton from "@/components/SvnDotsButton.vue";
import SvnButton from "@/components/button/SvnButton.vue";
import SvnIconButton from "@/components/button/SvnIconButton.vue";
import SvnProIconButton from "@/components/button/SvnProIconButton.vue";
import SvnDialogSkeleton from "@/components/skeleton/SvnDialogSkeleton.vue";
import SvnDropdown from "@/components/button/SvnDropdown.vue";
import {ref} from "vue";

const campaignItems = ref([
  { title: "Set up campaign", state: null, dotColor: 'primary' },
  { title: "Choose your setting", state: "in_progress", dotColor: 'primary' },
  { title: "Select the participant", state: "not_started", dotColor: 'primary' }
])
</script>

<style scoped>

</style>